## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

%global debug_package %{nil}

# https://github.com/89luca89/distrobox/issues/127
%global __brp_mangle_shebangs_exclude_from %{_bindir}/distrobox-(export|init)$

%global forgeurl https://github.com/89luca89/distrobox
%global tag %{version}

Name:    distrobox
Version: 1.2.15

%forgemeta

Release: %autorelease
Summary: Another tool for containerized command line environments on Linux 
License: GPLv3
URL:     %{forgeurl}
Source:  %{forgesource}

BuildArch: noarch

Requires: (podman or %{_bindir}/docker)
Requires: %{_bindir}/basename
Requires: %{_bindir}/find
Requires: %{_bindir}/grep
Requires: %{_bindir}/sed

%description
Use any linux distribution inside your terminal. Distrobox uses podman 
or docker to create containers using the linux distribution of your 
choice. Created container will be tightly integrated with the host, 
allowing to share the HOME directory of the user, external storage, 
external usb devices and graphical apps (X11/Wayland) and audio.

%prep
%forgesetup

%build

%install
install -d -m0755 %{buildroot}%{_bindir}
./install -p %{buildroot}%{_bindir}

install -d -m0755 %{buildroot}%{_docdir}/%{name}
install -m 0644 docs/*.md %{buildroot}%{_docdir}/%{name}

%check
%{buildroot}%{_bindir}/%{name} list -V
for i in create enter export init list rm stop; do
    %{buildroot}%{_bindir}/%{name}-$i -V
done

%files
%license COPYING.md
%doc %{_docdir}/%{name}
%{_mandir}/man1/%{name}*
%{_bindir}/%{name}
%{_bindir}/%{name}-create
%{_bindir}/%{name}-enter
%{_bindir}/%{name}-export
%{_bindir}/%{name}-init
%{_bindir}/%{name}-list
%{_bindir}/%{name}-rm
%{_bindir}/%{name}-stop

%changelog
* Thu Apr 28 2022 Alessio <alciregi@fedoraproject.org> 1.2.15-1
- Update to 1.2.15

* Mon Mar 21 2022 Alessio <alciregi@fedoraproject.org> 1.2.14-1
- Update to 1.2.14

* Tue Feb 15 2022 Alessio <alciregi@fedoraproject.org> 1.2.13-1
- Update to 1.2.13

* Sat Jan 22 2022 alciregi <alciregi@fedoraproject.org> 1.2.12-1
- Update to 1.2.12

* Thu Jan 20 2022 alciregi <alciregi@fedoraproject.org> 1.2.11-3
- Initial import (fedora#2034246).
